API ReferenceVerifier applications
Retrieve all registered verifier application instances
GET
/v2/presentations/applications/{verifierApplicationId}/instancesRetrieves all registered instances of a verifier application.
This can be used by application owners to view all registered instances for a given verifier application.
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_LIST_STARTCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_LIST_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
verifierApplicationId*string
Unique identifier for the verifier application.
Format
uuidQuery Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/presentations/applications/281d20b3-42a3-40dd-b29a-115ff32b02b7/instances"{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c", "appAttestationType": "key_attestation", "registeredAt": "2023-10-05T14:48:00.000Z", "licenseExpiresAt": "2024-10-05T14:48:00.000Z", "lastAttestedAt": "2023-12-01T10:30:00.000Z", "externalReferenceId": "external-ref-12345", "deviceDetails": { "deviceModel": "iPhone 12", "deviceMake": "Apple", "osVersion": "iOS 14.4" }, "sdkDetails": { "sdkVersion": "1.2.3" } } ]}How would you rate this page?
Delete a verifier application DELETE
Deletes an existing verifier application. Once deleted, any associated application instances will no longer be able to interact with the MATTR VII platform.
Retrieve a registered verifier application instance GET
Retrieves a registered instance of a verifier application.